aboutsummaryrefslogtreecommitdiff
path: root/compiler_wrapper/install_compiler_wrapper.sh
diff options
context:
space:
mode:
authorAndroid Build Coastguard Worker <android-build-coastguard-worker@google.com>2022-11-13 02:20:05 +0000
committerAndroid Build Coastguard Worker <android-build-coastguard-worker@google.com>2022-11-13 02:20:05 +0000
commitcec5bc676dfc0ade1b32f3873e93a3bd2c30e390 (patch)
tree77dc031614745bb406dbd90cea9a082a1b5cdd54 /compiler_wrapper/install_compiler_wrapper.sh
parent773bb66b7b5fab0b5f14d66455274040063e14bf (diff)
parent517424dcc11380511bc34f4a081f119104ff9e80 (diff)
downloadtoolchain-utils-android14-d1-s3-release.tar.gz
Change-Id: I0dfd9fe9a88cd3daf076b0fb77b69e3138c08e6c
Diffstat (limited to 'compiler_wrapper/install_compiler_wrapper.sh')
-rwxr-xr-xcompiler_wrapper/install_compiler_wrapper.sh33
1 files changed, 28 insertions, 5 deletions
diff --git a/compiler_wrapper/install_compiler_wrapper.sh b/compiler_wrapper/install_compiler_wrapper.sh
index 3a5b7417..81459082 100755
--- a/compiler_wrapper/install_compiler_wrapper.sh
+++ b/compiler_wrapper/install_compiler_wrapper.sh
@@ -1,6 +1,6 @@
#!/bin/bash
#
-# Copyright 2020 The Chromium OS Authors. All rights reserved.
+# Copyright 2020 The ChromiumOS Authors
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.
@@ -11,18 +11,41 @@ if [[ ! -e /etc/cros_chroot_version ]]; then
exit 1
fi
set -e
+
+# Use a unique value here, since folks doing wrapper dev _likely_ want builds
+# to always be redone.
+version_suffix="manually_installed_wrapper_at_unix_$(date +%s.%6N)"
+echo "Using toolchain hash: ${version_suffix}"
cd "$(dirname "$(readlink -m "$0")")"
+
+build_py() {
+ ./build.py --version_suffix="${version_suffix}" "$@"
+}
+
echo "Updated files:"
# Update the host wrapper
-./build.py --config=cros.host --use_ccache=false --use_llvm_next=false --output_file=./clang_host_wrapper
+build_py \
+ --config=cros.host \
+ --use_ccache=false \
+ --use_llvm_next=false \
+ --output_file=./clang_host_wrapper
sudo mv ./clang_host_wrapper /usr/bin/clang_host_wrapper
echo "/usr/bin/clang_host_wrapper"
sudo cp ../binary_search_tool/bisect_driver.py /usr/bin
echo "/usr/bin/clang_host_wrapper/bisect_driver.py"
# Update the target wrappers
-./build.py --config=cros.hardened --use_ccache=false --use_llvm_next=false --output_file=./sysroot_wrapper.hardened.noccache
-./build.py --config=cros.hardened --use_ccache=true --use_llvm_next=false --output_file=./sysroot_wrapper.hardened.ccache
+build_py \
+ --config=cros.hardened \
+ --use_ccache=false \
+ --use_llvm_next=false \
+ --output_file=./sysroot_wrapper.hardened.noccache
+build_py \
+ --config=cros.hardened \
+ --use_ccache=true \
+ --use_llvm_next=false \
+ --output_file=./sysroot_wrapper.hardened.ccache
+
# Update clang target wrappers.
sudo cp ./sysroot_wrapper.hardened.noccache ./sysroot_wrapper.hardened.ccache /usr/bin
echo "Updated clang wrapper /usr/bin/sysroot_wrapper.hardened.noccache"
@@ -30,7 +53,7 @@ echo "Updated clang wrapper /usr/bin/sysroot_wrapper.hardened.ccache"
# Update GCC target wrappers.
for GCC in cross-x86_64-cros-linux-gnu/gcc cross-armv7a-cros-linux-gnueabihf/gcc cross-aarch64-cros-linux-gnu/gcc; do
- if ! FILES="$(equery f ${GCC})"; then
+ if ! FILES="$(equery f "${GCC}")"; then
if [[ $(equery l "${GCC}" 2>&1 | wc -c) -eq 0 ]]; then
echo "no ${GCC} package found; skipping" >&2
continue